Subject: Re: [PATCH net-next-2.6] snmp: 64bit ipstats_mib for all arches

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Wed, 30 Jun 2010 00:07:14 +0900

Hello.

Thank you for doing this work!

Eric Dumazet wrote:
> /proc/net/snmp and /proc/net/netstat expose SNMP counters.
> 
> Width of these counters is either 32 or 64 bits, depending on the size
> of "unsigned long" in kernel.
> 
> This means user program parsing these files must already be prepared to
> deal with 64bit values, regardless of user program being 32 or 64 bit.

Well, I'm rather not in favor of breaking user-space apps.
How about leaving legacy procfs as-is and fix netlink-side only?

--yoshfuji